package com.huigou.topsun.proofing.service.impl;

import com.huigou.topsun.proofing.domain.model.ProofingApply;
import com.huigou.topsun.proofing.domain.model.ProofingMake;
import com.huigou.topsun.proofing.domain.vo.ProofingMakeVo;
import com.huigou.topsun.proofing.repository.ProofingApplyRepository;
import com.huigou.topsun.proofing.repository.ProofingMakeRepository;
import com.huigou.topsun.proofing.service.ProofingMakeService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

@Service
public class ProofingMakeServiceImpl implements ProofingMakeService {

    @Autowired
    ProofingMakeRepository proofingMakeRepository;
    @Autowired
    ProofingApplyRepository proofingApplyRepository;

    public List<ProofingMakeVo> getProofingMakeList(){
        List<ProofingMake> makeAll = proofingMakeRepository.findAll();
        return makeAll.stream()
                .map(proofingMake -> {
                    ProofingMakeVo proofingMakeVo = new ProofingMakeVo();

                    ProofingApply proofingApply = proofingApplyRepository.findByProofingApplyId(proofingMake.getProofingApplyId());

                    BeanUtils.copyProperties(proofingApply, proofingMakeVo);
                    BeanUtils.copyProperties(proofingMake, proofingMakeVo);
                    return proofingMakeVo;
                })
                .collect(Collectors.toList());
    }

}
