package com.huigou.topsun.technology.application.impl;

import com.huigou.cache.DictUtil;
import com.huigou.data.query.model.QueryDescriptor;
import com.huigou.data.query.model.QueryModel;
import com.huigou.topsun.technology.application.TechnologyApplication;
import com.huigou.topsun.technology.domain.model.Technology;
import com.huigou.topsun.technology.domain.query.TechnologyQueryRequest;
import com.huigou.topsun.technology.repository.TechnologyRepository;
import com.huigou.topsun.technology.vo.TechnologyVo;
import com.huigou.uasp.bmp.common.application.BaseApplication;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
* @author 16508
* @description 针对表【technology(工艺)】的数据库操作Service实现
* @createDate 2023-11-22 11:04:03
*/
@Service
public class TechnologyApplicationImpl extends BaseApplication implements TechnologyApplication {

    @Resource
    private TechnologyRepository technologyRepository;
    @Override
    public Map<String, Object> slicedTechnologyList(TechnologyQueryRequest queryRequest) {
        QueryDescriptor queryDescriptor = this.sqlExecutorDao.getQuery(QUERY_XML_FILE_PATH, "technology");
        QueryModel model = this.sqlExecutorDao.getQueryModel(queryDescriptor, queryRequest);
        model.putDictionary("technologyType", DictUtil.getDictionary("technologyType"));
        return this.sqlExecutorDao.executeSlicedQuery(model);
    }

    @Override
    public TechnologyVo saveTechnology(TechnologyVo technologyVo) {
        Technology technology = TechnologyVo.getTechnology(technologyVo);
        technologyRepository.saveAndFlush(technology);
        technologyVo.setTechnologyId(technology.getTechnologyId());
        return technologyVo;
    }

    @Override
    public TechnologyVo updateTechnologyVo(TechnologyVo technologyVo) {
        return null;
    }

    @Override
    public void deleteTechnologyVo(String id) {
        technologyRepository.delete(id);
    }

    @Override
    public TechnologyVo findTechnologyByTechnologyIdId(String technologyId) {
        Technology technology = technologyRepository.findOne(technologyId);
        return TechnologyVo.getTechnologyVo(technology);
    }
}




